Bug 628598 - SELinux is preventing /sbin/hdparm "read" access on sda.
Summary: SELinux is preventing /sbin/hdparm "read" access on sda.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a8eaf90c45b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-30 13:40 UTC by Mildred
Modified: 2010-09-08 04:32 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-04 13:02:35 UTC


Attachments (Terms of Use)

Description Mildred 2010-08-30 13:40:24 UTC
Summary:

SELinux is preventing /sbin/hdparm "read" access on sda.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by hdparm. It is not expected that this access
is required by hdparm and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:apmd_t:s0
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                sda [ blk_file ]
Source                        hdparm
Source Path                   /sbin/hdparm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           hdparm-9.27-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-20.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.2-9.fc14.x86_64 #1 SMP Tue Aug
                              17 22:36:15 UTC 2010 x86_64 x86_64
Alert Count                   8
First Seen                    Fri 27 Aug 2010 08:51:12 AM CEST
Last Seen                     Fri 27 Aug 2010 02:00:38 PM CEST
Local ID                      e5625f43-3ee1-4894-ba4f-c78cb0d840e7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282910438.505:292): avc:  denied  { read } for  pid=24366 comm="hdparm" name="sda" dev=devtmpfs ino=5871 scontext=system_u:system_r:apmd_t:s0 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file

node=(removed) type=AVC msg=audit(1282910438.505:292): avc:  denied  { open } for  pid=24366 comm="hdparm" name="sda" dev=devtmpfs ino=5871 scontext=system_u:system_r:apmd_t:s0 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file

node=(removed) type=SYSCALL msg=audit(1282910438.505:292): arch=c000003e syscall=2 success=yes exit=3 a0=7fff61092f56 a1=800 a2=0 a3=7fff61091b00 items=0 ppid=24357 pid=24366 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hdparm" exe="/sbin/hdparm" subj=system_u:system_r:apmd_t:s0 key=(null)



Hash String generated from  catchall,hdparm,apmd_t,fixed_disk_device_t,blk_file,read
audit2allow suggests:

#============= apmd_t ==============
allow apmd_t fixed_disk_device_t:blk_file { read open };

Comment 1 Daniel Walsh 2010-08-30 14:47:24 UTC
Fixed in selinux-policy-3.9.0-2.fc14

Comment 2 Fedora Update System 2010-08-30 16:00:05 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:38:47 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Mildred 2010-09-04 13:02:35 UTC
don't see this anymore

Comment 5 Fedora Update System 2010-09-08 04:30:57 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.